org.apache.maven.artifact.resolver

## Class ArtifactNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.resolver.AbstractArtifactResolutionException
      - - org.apache.maven.artifact.resolver.ArtifactNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ArtifactNotFoundException
    extends AbstractArtifactResolutionException

Version:
  $Id: ArtifactNotFoundException.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
`` `ArtifactNotFoundException(java.lang.String message, Artifact artifact)`
`protected` `ArtifactNotFoundException(java.lang.String message, Artifact artifact, java.util.List remoteRepositories)`
`protected` `ArtifactNotFoundException(java.lang.String message, Artifact artifact, java.util.List remoteRepositories, java.lang.Throwable t)`
`` `ArtifactNotFoundException(java.lang.String message, java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String classifier, java.util.List remoteRepositories, java.lang.String downloadUrl, java.util.List path, java.lang.Throwable t)`

### Method Summary

Methods
`java.lang.String` `getDownloadUrl()`

### Methods inherited from class org.apache.maven.artifact.resolver.AbstractArtifactResolutionException

`constructArtifactPath, constructMissingArtifactMessage, getArtifact, getArtifactId, getArtifactPath, getClassifier, getGroupId, getOriginalMessage, getPath, getRemoteRepositories, getType, getVersion`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ArtifactNotFoundException

    protected ArtifactNotFoundException(java.lang.String message,
                             Artifact artifact,
                             java.util.List remoteRepositories)

#### ArtifactNotFoundException

    public ArtifactNotFoundException(java.lang.String message,
                             Artifact artifact)

#### ArtifactNotFoundException

    protected ArtifactNotFoundException(java.lang.String message,
                             Artifact artifact,
                             java.util.List remoteRepositories,
                             java.lang.Throwable t)

#### ArtifactNotFoundException

    public ArtifactNotFoundException(java.lang.String message,
                             java.lang.String groupId,
                             java.lang.String artifactId,
                             java.lang.String version,
                             java.lang.String type,
                             java.lang.String classifier,
                             java.util.List remoteRepositories,
                             java.lang.String downloadUrl,
                             java.util.List path,
                             java.lang.Throwable t)

### Method Detail

#### getDownloadUrl

    public java.lang.String getDownloadUrl()